# Dadou - 2.2.1-3mdk - Reminder: 7.2 is for IA32 only
#                                8.0 is for IA32 and PPC
#                                8.1 is for IA32 and IA64
#                                8.2 is for IA32, IA64 and PPC

# Dadou - 2.2-0.beta1.0.3mdk - Define macro used to control build options for
#                              each LMDK distributions
%define buildfor $(awk '{print $4}' /etc/mandrake-release)
%{expand:%%define buildfor7_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 7.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.1 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.2 ]; then echo 1; else echo 0; fi)}


Name:		kdemultimedia
Icon:		kde-icon.xpm
Summary:	K Desktop Environment - Multimedia
Version:	2.2.2
Release:	10mdk
Epoch:		1
URL:            http://www.kde.org/

Source:		%name-%version.tar.bz2

# Laurent 2.2.2-4mdk : fix num validator in cddb config page. Patch commited in 2.2.2 branch
Patch1:		kdemultimedia-2.2.2-fix-num-validator.patch.bz2

# Laurent 2.2.2-5mdk : fix kmid dialogbox layout, patch commited in 2.2.2 branch

Patch2:		kdemultimedia-2.2.2-fix-kmidi-layout.patch.bz2

# Laurent - 2.2.2-7mdk - fix kscd crash when pc doesn't have a soundcard, patch commited in kde 2.2.2
Patch3:		kdemultimedia-2.2.2-fix-crash-when-there-is-not-sound-card.patch.bz2

# Laurent - 2.2.2-8mdk - fix crah in kscd when drive doesn't exist
Patch4:		kdemultimedia-2.2.2-fix-crash-in-kscd2.patch.bz2

Group:		Graphical desktop/KDE
BuildRoot:	%_tmppath/%name-%version-%release-root
License:	GPL
Obsoletes:	aktion, kmpg
Requires:	arts
BuildConflicts:	kdemultimedia

%if %buildfor8_2
Obsoletes:	kdemultimedia-static-devel
%endif

%if %buildfor7_2
BuildRequires:	kdelibs
%endif

%if %buildfor8_0
BuildRequires:	Mesa-common XFree86-devel XFree86-libs XFree86-static-libs arts
BuildRequires:	autoconf automake db1 diffutils freetype2 gcc-c++ gcc-cpp gettext
BuildRequires:	kdelibs kdelibs-devel libbinutils2 libbzip2_1 libjpeg62
BuildRequires:	libjpeg62-devel libmng1 libpng2 libqt2 libqt2-devel libpng2-devel
BuildRequires:	libtermcap m4 mktemp pam popt readline rpm-build texinfo zlib1
%endif

%if %buildfor8_1
BuildRequires:  Mesa-common XFree86-devel XFree86-libs XFree86-static-libs arts
BuildRequires:  autoconf automake db1 diffutils freetype2 gcc-c++ gcc-cpp gettext
BuildRequires:  kdelibs kdelibs-devel libbinutils2 libbzip2_1 libjpeg62
BuildRequires:  libjpeg62-devel libmng1 libpng2 libqt2 libqt2-devel libpng2-devel
BuildRequires:  libtermcap m4 mktemp pam popt readline rpm-build texinfo zlib1
%endif

%if %buildfor8_2
BuildRequires:	XFree86-devel XFree86-libs XFree86-static-libs arts autoconf
BuildRequires:	automake diffutils file freetype2-devel gawk gcc-c++ gcc-cpp
BuildRequires:	gettext kdebase-devel kdelibs-devel kdelibs-sound libMesaGLU1
BuildRequires:	libalsa1-devel libarts2-devel libaudiofile0-devel libbinutils2
BuildRequires:	libbzip2_1-devel libcdda0-devel libintl1 libjpeg62-devel
BuildRequires:	liblcms1 libmng1-devel libogg0-devel libpng3-devel libqt2-devel
BuildRequires:	libtermcap2 libvorbis0-devel
BuildRequires:	m4 mktemp perl popt rpm-build texinfo zlib1-devel
%endif


%description
Multimedia tools for the K Desktop Environment.


%package devel
Summary:	Header files for kdemultimedia
%if %buildfor7_2 || %buildfor8_0 || %buildfor8_1
Group:		Development/KDE and QT
%else
Group:		Development/KDE and Qt
%endif
PreReq:	%name = %version-%release

%description devel
Header files needed for developing kdemultimedia applications.


%package static-devel
Summary:	Static libraries for kdemultimedia
Group:		Development/KDE and QT
PreReq:	%name-devel = %version-%release

%description static-devel
Static libraries for kdemultimedia.


%package aktion
Summary:	KDE video player
Group:          Graphical desktop/KDE
Requires:       %name = %version-%release, xanim
 
%description aktion
KDE video Player.

%prep

%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
export QTDIR="%_libdir/qt2"
export KDEDIR="%_prefix"

export LD_LIBRARY_PATH="$QTDIR/lib:$LD_LIBRARY_PATH"
export PATH="$KDEDIR/bin:$PATH"

%if %buildfor7_2
CFLAGS="%optflags" CXXFLAGS="%optflags" \
	./configure --prefix=%_prefix \
	            --build=%_target_platform \
		    --host=%_target_platform \
                    --disable-debug \
                    --enable-final \
		    --enable-shared \
		    --enable-static \
		    --disable-objprelink \
		    --disable-xinerama \
		    --disable-mt \
                    --disable-rpath \
		    --with-alsa
%endif

%if %buildfor8_0
CFLAGS="%optflags" CXXFLAGS="%optflags" \
	./configure --prefix=%_prefix \
                    --build=%_target_platform \
		    --host=%_target_platform \
		    --disable-debug \
		    --enable-final \
		    --enable-shared \
		    --enable-static \
		    --disable-objprelink \
		    --with-xinerama \
		    --disable-mt \
		    --disable-rpath \
%ifarch %ix86
		    --with-alsa
%endif
%endif


%if %buildfor8_1
CFLAGS="%optflags" CXXFLAGS="`echo %optflags |sed -e 's/-fomit-frame-pointer//'`" \
        ./configure --prefix=%_prefix \
	            --build=%_target_platform \
		    --host=%_target_platform \
                    --disable-debug \
                    --enable-final \
                    --enable-shared \
                    --enable-static \
		    --disable-objprelink \
                    --with-xinerama \
                    --disable-mt \
                    --disable-rpath \
		    --with-alsa
%endif

%if %buildfor8_2
CFLAGS="%optflags" CXXFLAGS="`echo %optflags |sed -e 's/-fomit-frame-pointer//'`" \
	./configure --prefix=%_prefix \
                    --build=%_target_platform \
		    --host=%_target_platform \
		    --disable-debug \
		    --enable-final \
		    --enable-shared \
		    --disable-static \
		    --disable-objprelink \
		    --with-xinerama \
		    --disable-mt \
		    --disable-rpath \
		    --with-alsa
%endif

make


%install
rm -fr %buildroot

make install DESTDIR=%buildroot

#mv %buildroot/%_bindir/timidity %buildroot/%_bindir/ktimidity

# David - 2.2.2-10mdk - Fix ogg mime type. No longer needed in KDE 3
perl -pi -e "s|audio/x-ogg|audio/x-ogg;application/x-ogg|" %buildroot/%_datadir/applnk/Multimedia/noatun.desktop


# Create LMDK structure
install -d %buildroot/%_menudir/

# %%_datadir/applnk/Multimedia/
kdedesktop2mdkmenu.pl kdemultimedia-aktion Multimedia/Video %buildroot/%_datadir/applnk/Multimedia/aktion.desktop %buildroot/%_menudir/kdemultimedia-aktion
kdedesktop2mdkmenu.pl kdemultimedia Multimedia/Sound %buildroot/%_datadir/applnk/Multimedia/artsbuilder.desktop %buildroot/%_menudir/kdemultimedia-artsbuilder
kdedesktop2mdkmenu.pl kdemultimedia Multimedia/Sound %buildroot/%_datadir/applnk/Multimedia/artscontrol.desktop %buildroot/%_menudir/kdemultimedia-artscontrol kde
kdedesktop2mdkmenu.pl kdemultimedia Multimedia/Sound %buildroot/%_datadir/applnk/Multimedia/kmid.desktop %buildroot/%_menudir/kdemultimedia-kmid kde
kdedesktop2mdkmenu.pl kdemultimedia Multimedia/Sound %buildroot/%_datadir/applnk/Multimedia/kmidi.desktop %buildroot/%_menudir/kdemultimedia-kmidi
kdedesktop2mdkmenu.pl kdemultimedia Multimedia/Sound %buildroot/%_datadir/applnk/Multimedia/kmix.desktop %buildroot/%_menudir/kdemultimedia-kmix kde
kdedesktop2mdkmenu.pl kdemultimedia Multimedia/Sound %buildroot/%_datadir/applnk/Multimedia/kscd.desktop %buildroot/%_menudir/kdemultimedia-kscd kde
kdedesktop2mdkmenu.pl kdemultimedia Multimedia/Sound %buildroot/%_datadir/applnk/Multimedia/noatun.desktop %buildroot/%_menudir/kdemultimedia-noatun kde
#kdedesktop2mdkmenu.pl kdemultimedia Multimedia/Sound %buildroot/%_datadir/applnk/Multimedia/timidity.desktop %buildroot/%_menudir/kdemultimedia-ktimidity kde

# %%_datadir/applnk/Settings/Sound/
kdedesktop2mdkmenu.pl kdemultimedia Configuration/KDE/Sound %buildroot/%_datadir/applnk/Settings/Sound/kmix.desktop %buildroot/%_menudir/kdemultimedia-kmix-configuration kde


# Dadou - 2.1-1mdk - Title of %buildroot/%_menudir/kdemultimedia-kmidi is
#                    "Midi/Karaoke". "Midi/" create a new and non wished
#                    subdirectory. Foolowing command fix that
perl -pi -e "s|Midi\/|Midi and |" %buildroot/%_menudir/kdemultimedia-kmid


# Dadou - 2.2-0.beta1.1mdk - Remove some non legal songs
for i in %buildroot/%_datadir/apps/kmidi/*.mid ; do rm -f $i ; done

%post
/sbin/ldconfig
%update_menus

%postun
/sbin/ldconfig
%clean_menus

%post aktion
/sbin/ldconfig
%update_menus

%postun aktion
/sbin/ldconfig
%clean_menus


%clean
rm -fr %buildroot


%files
%defattr(-,root,root)
%dir %_docdir/HTML/en/
%dir %_docdir/HTML/en/artsbuilder/
%doc %_docdir/HTML/en/artsbuilder/common
%doc %_docdir/HTML/en/artsbuilder/*.docbook
%doc %_docdir/HTML/en/artsbuilder/*.png
%doc %_docdir/HTML/en/artsbuilder/*.bz2
#
%dir %_docdir/HTML/en/artsbuilder/images/
%_docdir/HTML/en/artsbuilder/images/*.png
#
#
%dir %_docdir/HTML/en/kmid/
%doc %_docdir/HTML/en/kmid/common
%doc %_docdir/HTML/en/kmid/*.docbook
%doc %_docdir/HTML/en/kmid/*.bz2
#
#
%dir %_docdir/HTML/en/kmidi/
%doc %_docdir/HTML/en/kmidi/common
%doc %_docdir/HTML/en/kmidi/*.docbook
%doc %_docdir/HTML/en/kmidi/FAQ
%doc %_docdir/HTML/en/kmidi/*.bz2
#
#
%dir %_docdir/HTML/en/kmix/
%doc %_docdir/HTML/en/kmix/common
%doc %_docdir/HTML/en/kmix/*.docbook
%doc %_docdir/HTML/en/kmix/*.bz2
#
#
%dir %_docdir/HTML/en/kscd/
%doc %_docdir/HTML/en/kscd/common
%doc %_docdir/HTML/en/kscd/*.docbook
%doc %_docdir/HTML/en/kscd/*.howto
%doc %_docdir/HTML/en/kscd/*.png
%doc %_docdir/HTML/en/kscd/*.bz2
#
#
%dir %_docdir/HTML/en/noatun/
%doc %_docdir/HTML/en/noatun/common
%doc %_docdir/HTML/en/noatun/*.docbook
%doc %_docdir/HTML/en/noatun/*.bz2
#
#
#
%_bindir/artsbuilder
%_bindir/artscontrol
%_bindir/kmid
%_bindir/kmidi
%_bindir/kmix
%_bindir/kmixctrl
%_bindir/kscd
#%_bindir/ktimidity
%_bindir/midisend
%_bindir/mpeglibartsplay
%_bindir/noatun
%_bindir/noatun_kjofol_fixskin.sh
%_bindir/sf2cfg
%_bindir/so_play
%_bindir/workman2cddb.pl
%_bindir/yaf-cdda
%_bindir/yaf-mpgplay
%_bindir/yaf-splay
%_bindir/yaf-tplay
%_bindir/yaf-vorbis
%_bindir/yaf-yuv
#
#
#
%_libdir/*.mcopclass
#
#
%_libdir/*.mcoptype
#
#
%_libdir/kmixctrl.la
%_libdir/libarts_mpeglib.la
%_libdir/libarts_splay.la
%_libdir/libartsbuilder.la
%_libdir/libartseffects.la
%_libdir/libartsgui.la
%_libdir/libartsgui_idl.la
%_libdir/libartsgui_kde.la
%_libdir/libartsmidi.la
%_libdir/libartsmidi_idl.la
%_libdir/libartsmodules.la
%_libdir/libkcm_kmix.la
%_libdir/libkjofolui.la
%_libdir/libkmidpart.la
%_libdir/libkmixapplet.la
%_libdir/libliszt.la
%_libdir/libmpeg.la
%_libdir/libnoatun.la
%_libdir/libnoatunarts.la
%_libdir/libnoatuncontrols.la
%_libdir/libnoatundcopiface.la
%_libdir/libnoatunexcellent.la
%_libdir/libnoatunhtmlexport.la
%_libdir/libnoatunid3tag.la
%_libdir/libnoatuninfrared.la
%_libdir/libnoatunkaiman.la
%_libdir/libnoatunkeyz.la
%_libdir/libnoatunmarquis.la
%_libdir/libnoatunmonoscope.la
%_libdir/libnoatunnet.la
%_libdir/libnoatunoggtag.la
%_libdir/libnoatunsystray.la
%_libdir/libnoatuntron.la
%_libdir/libnoatunui.la
%_libdir/libnoatunvoiceprint.la
%_libdir/libsplitplaylist.la
%_libdir/libworkman.la
%_libdir/libyafcore.la
%_libdir/libyafxplayer.la
%_libdir/libnoatunmain.la
#
#
%_libdir/kmixctrl.so
%_libdir/libarts_mpeglib-0.3.0.so*
%_libdir/libarts_mpeglib.so*
%_libdir/libarts_splay.so*
%_libdir/libartsbuilder.so*
%_libdir/libartseffects.so
%_libdir/libartsgui.so*
%_libdir/libartsgui_idl.so*
%_libdir/libartsgui_kde.so*
%_libdir/libartsmidi.so*
%_libdir/libartsmidi_idl.so*
%_libdir/libartsmodules.so*
%_libdir/libkcm_kmix.so
%_libdir/libkjofolui.so
%_libdir/libkmidpart.so*
%_libdir/libkmixapplet.so*
%_libdir/libliszt.so
%_libdir/libmpeg-0.3.0.so*
%_libdir/libmpeg.so
%_libdir/libnoatun.so*
%_libdir/libnoatunarts.so
%_libdir/libnoatuncontrols.so*
%_libdir/libnoatundcopiface.so
%_libdir/libnoatunexcellent.so
%_libdir/libnoatunhtmlexport.so
%_libdir/libnoatunid3tag.so
%_libdir/libnoatuninfrared.so
%_libdir/libnoatunkaiman.so
%_libdir/libnoatunkeyz.so
%_libdir/libnoatunmarquis.so
%_libdir/libnoatunmonoscope.so
%_libdir/libnoatunnet.so
%_libdir/libnoatunoggtag.so
%_libdir/libnoatunsystray.so
%_libdir/libnoatuntron.so
%_libdir/libnoatunui.so
%_libdir/libnoatunvoiceprint.so
%_libdir/libsplitplaylist.so
%_libdir/libworkman.so*
%_libdir/libyafcore.so*
%_libdir/libyafxplayer.so*
%_libdir/libnoatunmain.so
#
#
%dir %_libdir/mcop/
%_libdir/mcop/*.mcopclass
%_libdir/mcop/*.mcoptype
#
%dir %_libdir/mcop/Arts/
%_libdir/mcop/Arts/*.mcopclass
#
%dir %_libdir/mcop/Noatun/
%_libdir/mcop/Noatun/*.mcopclass
#
#
#
%_menudir/kdemultimedia-artsbuilder
%_menudir/kdemultimedia-artscontrol
%_menudir/kdemultimedia-kmid
%_menudir/kdemultimedia-kmidi
%_menudir/kdemultimedia-kmix
%_menudir/kdemultimedia-kmix-configuration
%_menudir/kdemultimedia-kscd
#%_menudir/kdemultimedia-ktimidity
%_menudir/kdemultimedia-noatun
#
#
#
%dir %_datadir/applnk/
%dir %_datadir/applnk/Multimedia/       
%_datadir/applnk/Multimedia/artsbuilder.desktop
%_datadir/applnk/Multimedia/artscontrol.desktop
%_datadir/applnk/Multimedia/kmid.desktop
%_datadir/applnk/Multimedia/kmidi.desktop
%_datadir/applnk/Multimedia/kmix.desktop
%_datadir/applnk/Multimedia/kscd.desktop
%_datadir/applnk/Multimedia/noatun.desktop
#%_datadir/applnk/Multimedia/timidity.desktop
#
#
%dir %_datadir/applnk/Settings/
%dir %_datadir/applnk/Settings/Sound/
%_datadir/applnk/Settings/Sound/kmix.desktop
#
#
#
%dir %_datadir/apps/
%dir %_datadir/apps/artsbuilder/
%dir %_datadir/apps/artsbuilder/examples/
%_datadir/apps/artsbuilder/examples/README
%_datadir/apps/artsbuilder/examples/*.arts
%_datadir/apps/artsbuilder/examples/*.arts-map
#
%dir %_datadir/apps/artsbuilder/examples/todo/
%_datadir/apps/artsbuilder/examples/todo/*.arts
#
%dir %_datadir/apps/artsbuilder/pics/
%_datadir/apps/artsbuilder/pics/*.xpm
#
#
%dir %_datadir/apps/artscontrol/
%_datadir/apps/artscontrol/*.rc
#
#
%dir %_datadir/apps/kicker/
%dir %_datadir/apps/kicker/applets/
%_datadir/apps/kicker/applets/*.desktop
#
#
%dir %_datadir/apps/kmid/
%_datadir/apps/kmid/*.kar
%_datadir/apps/kmid/*.rc
#
%dir %_datadir/apps/kmid/fm/
%_datadir/apps/kmid/fm/*.o3
%_datadir/apps/kmid/fm/*.sb
#
%dir %_datadir/apps/kmid/icons/
%_datadir/apps/kmid/icons/*.xpm
#
%dir %_datadir/apps/kmid/icons/hicolor/
%dir %_datadir/apps/kmid/icons/hicolor/16x16/
%dir %_datadir/apps/kmid/icons/hicolor/16x16/actions/
%_datadir/apps/kmid/icons/hicolor/16x16/actions/*.png
#
%dir %_datadir/apps/kmid/icons/hicolor/22x22/
%dir %_datadir/apps/kmid/icons/hicolor/22x22/actions/
%_datadir/apps/kmid/icons/hicolor/22x22/actions/*.png
#
%dir %_datadir/apps/kmid/icons/hicolor/32x32/
%dir %_datadir/apps/kmid/icons/hicolor/32x32/actions/
%_datadir/apps/kmid/icons/hicolor/32x32/actions/*.png
#
#
%dir %_datadir/apps/kmid/maps/
%_datadir/apps/kmid/maps/*.map
#
#
%dir %_datadir/apps/kmidi/
%dir %_datadir/apps/kmidi/config/
%_datadir/apps/kmidi/config/*.cfg
%_datadir/apps/kmidi/config/*-voices
%_datadir/apps/kmidi/config/drums
%_datadir/apps/kmidi/config/guitar
%_datadir/apps/kmidi/config/megadrum
%_datadir/apps/kmidi/config/megainst
%_datadir/apps/kmidi/config/piano
%_datadir/apps/kmidi/config/piano+guitar
%_datadir/apps/kmidi/config/sound-canvas-drums
#
%dir %_datadir/apps/kmidi/config/BITMAPS/
%_datadir/apps/kmidi/config/BITMAPS/*.xbm
#
%dir %_datadir/apps/kmidi/config/patch/
%_datadir/apps/kmidi/config/patch/*.pat
#
%dir %_datadir/apps/kmidi/pics/
%_datadir/apps/kmidi/pics/*.png
#
#
%dir %_datadir/apps/kmix/
%_datadir/apps/kmix/*.rc
#
%dir %_datadir/apps/kmix/pics/
%_datadir/apps/kmix/pics/*.png
#
#
%dir %_datadir/apps/kscd/
%dir %_datadir/apps/kscd/cddb/
%dir %_datadir/apps/kscd/cddb/blues/
#
%dir %_datadir/apps/kscd/cddb/classical/
#
%dir %_datadir/apps/kscd/cddb/country/
#
%dir %_datadir/apps/kscd/cddb/data/
#
%dir %_datadir/apps/kscd/cddb/folk/
#
%dir %_datadir/apps/kscd/cddb/jazz/
#
%dir %_datadir/apps/kscd/cddb/misc/
#
%dir %_datadir/apps/kscd/cddb/newage/
#
%dir %_datadir/apps/kscd/cddb/reggae/
#
%dir %_datadir/apps/kscd/cddb/rock/
#
%dir %_datadir/apps/kscd/cddb/soundtrack/
#
%dir %_datadir/apps/kscd/pics/
%_datadir/apps/kscd/pics/*.xpm
#
#
%dir %_datadir/apps/noatun/
%_datadir/apps/noatun/*.plugin
%_datadir/apps/noatun/*.rc
#
%dir %_datadir/apps/noatun/eq.preset/
%_datadir/apps/noatun/eq.preset/*.dance
%_datadir/apps/noatun/eq.preset/*.jazz
%_datadir/apps/noatun/eq.preset/*.metal
%_datadir/apps/noatun/eq.preset/*.trance
%_datadir/apps/noatun/eq.preset/*.zero
#
%dir %_datadir/apps/noatun/icons/
%dir %_datadir/apps/noatun/icons/hicolor/
%dir %_datadir/apps/noatun/icons/hicolor/16x16/
%dir %_datadir/apps/noatun/icons/hicolor/16x16/actions/
%_datadir/apps/noatun/icons/hicolor/16x16/actions/*.png
#
%dir %_datadir/apps/noatun/icons/hicolor/22x22/
%dir %_datadir/apps/noatun/icons/hicolor/22x22/actions/
%_datadir/apps/noatun/icons/hicolor/22x22/actions/*.png
#
%dir %_datadir/apps/noatun/icons/hicolor/32x32/
%dir %_datadir/apps/noatun/icons/hicolor/32x32/actions/
%_datadir/apps/noatun/icons/hicolor/32x32/actions/*.png
#
%dir %_datadir/apps/noatun/icons/hicolor/48x48/
%dir %_datadir/apps/noatun/icons/hicolor/48x48/actions/
%_datadir/apps/noatun/icons/hicolor/48x48/actions/*.png
#
%dir %_datadir/apps/noatun/icons/locolor/
%dir %_datadir/apps/noatun/icons/locolor/16x16/
%dir %_datadir/apps/noatun/icons/locolor/16x16/actions/
%_datadir/apps/noatun/icons/locolor/16x16/actions/*.png
#
%dir %_datadir/apps/noatun/kjskins/
%dir %_datadir/apps/noatun/kjskins/kjofol/
%_datadir/apps/noatun/kjskins/kjofol/*.bmp
%_datadir/apps/noatun/kjskins/kjofol/*.dck
%_datadir/apps/noatun/kjskins/kjofol/*.pl
%_datadir/apps/noatun/kjskins/kjofol/*.png
%_datadir/apps/noatun/kjskins/kjofol/*.rc
%_datadir/apps/noatun/kjskins/kjofol/*.wsh
#
%dir %_datadir/apps/noatun/kjskins/phong/
%_datadir/apps/noatun/kjskins/phong/*.dck
%_datadir/apps/noatun/kjskins/phong/*.png
%_datadir/apps/noatun/kjskins/phong/*.rc
%_datadir/apps/noatun/kjskins/phong/*.wsh
%_datadir/apps/noatun/kjskins/phong/*.txt
#
%dir %_datadir/apps/noatun/kjskins/vibrocentric/
%_datadir/apps/noatun/kjskins/vibrocentric/*.dck
%_datadir/apps/noatun/kjskins/vibrocentric/*.png
%_datadir/apps/noatun/kjskins/vibrocentric/*.rc
%_datadir/apps/noatun/kjskins/vibrocentric/*.wsh
%_datadir/apps/noatun/kjskins/vibrocentric/*.txt
#
%dir %_datadir/apps/noatun/skins/
%dir %_datadir/apps/noatun/skins/kaiman/
%dir %_datadir/apps/noatun/skins/kaiman/car-preset/
%_datadir/apps/noatun/skins/kaiman/car-preset/*.png
%_datadir/apps/noatun/skins/kaiman/car-preset/skindata
#
%dir %_datadir/apps/noatun/skins/kaiman/circle/
%_datadir/apps/noatun/skins/kaiman/circle/*.png
%_datadir/apps/noatun/skins/kaiman/circle/skindata
#
%dir %_datadir/apps/noatun/skins/kaiman/k9/
%_datadir/apps/noatun/skins/kaiman/k9/README
%_datadir/apps/noatun/skins/kaiman/k9/*.jpg
%_datadir/apps/noatun/skins/kaiman/k9/*.png
%_datadir/apps/noatun/skins/kaiman/k9/skindata
#
#
#
%dir %_iconsdir/hicolor/
%dir %_iconsdir/hicolor/16x16/
%dir %_iconsdir/hicolor/16x16/apps/
%_iconsdir/hicolor/16x16/apps/*.png
#
%dir %_iconsdir/hicolor/22x22/
%dir %_iconsdir/hicolor/22x22/apps/
%_iconsdir/hicolor/22x22/apps/*.png
#
%dir %_iconsdir/hicolor/32x32/
%dir %_iconsdir/hicolor/32x32/apps/
%_iconsdir/hicolor/32x32/apps/*.png
#
%dir %_iconsdir/hicolor/48x48/
%dir %_iconsdir/hicolor/48x48/apps/
%_iconsdir/hicolor/48x48/apps/*.png
#
#
#
%dir %_datadir/mimelnk/
%dir %_datadir/mimelnk/application/
%_datadir/mimelnk/application/*.desktop
#
#
%dir %_datadir/mimelnk/audio/
%_datadir/mimelnk/audio/*.desktop
#
#
%dir %_datadir/mimelnk/text/
%_datadir/mimelnk/text/*.desktop
#
#
#
%dir %_datadir/services/
%_datadir/services/*.desktop
#
#
#
%dir %_datadir/servicetypes/
%_datadir/servicetypes/*.desktop




%files aktion
%defattr(-,root,root)
%dir %_docdir/HTML/en/
%dir %_docdir/HTML/en/aktion/
%doc %_docdir/HTML/en/aktion/common
%doc %_docdir/HTML/en/aktion/*.docbook
%doc %_docdir/HTML/en/aktion/*.png
%doc %_docdir/HTML/en/aktion/*.bz2
#
#
#
%_bindir/aktion
#
#
#
%_libdir/libaktion.la
#
#
%_libdir/libaktion.so*
#
#
#
%_menudir/kdemultimedia-aktion
#
#
#
%dir %_datadir/applnk/
%dir %_datadir/applnk/Multimedia/
%_datadir/applnk/Multimedia/aktion.desktop
#
#
#
%dir %_datadir/apps/
%dir %_datadir/apps/aktion/
%_datadir/apps/aktion/*.rc
#
#
%dir %_datadir/apps/aktion/toolbar/
%_datadir/apps/aktion/toolbar/*.png
#
#
#
%dir %_datadir/config/
%config(noreplace) %_datadir/config/aktionrc




%files devel
%defattr(-,root,root,-)
%_includedir/*.h
#
#
%dir %_includedir/arts/
%_includedir/arts/*.h
%_includedir/arts/*.idl
#
#
%dir %_includedir/mpeglib/
%dir %_includedir/mpeglib/decoder/
%_includedir/mpeglib/decoder/*.h
#
%dir %_includedir/mpeglib/frame/
%_includedir/mpeglib/frame/*.h
#
%dir %_includedir/mpeglib/input/
%_includedir/mpeglib/input/*.h
#
%dir %_includedir/mpeglib/mpegutil/
%_includedir/mpeglib/mpegutil/*.h
#
%dir %_includedir/mpeglib/oggvorbis/
%_includedir/mpeglib/oggvorbis/*.h
#
%dir %_includedir/mpeglib/output/
%_includedir/mpeglib/output/*.h
#
%dir %_includedir/mpeglib/splay/
%_includedir/mpeglib/splay/*.h
#
%dir %_includedir/mpeglib/util/
%_includedir/mpeglib/util/*.h
#
#
%dir %_includedir/mpeglib/util/abstract/
%_includedir/mpeglib/util/abstract/*.h
#
%dir %_includedir/mpeglib/util/file/
%_includedir/mpeglib/util/file/*.h
#
%dir %_includedir/mpeglib/util/render/
%_includedir/mpeglib/util/render/*.h
#
%dir %_includedir/mpeglib/util/yaf/
%dir %_includedir/mpeglib/util/yaf/yafcore/
%_includedir/mpeglib/util/yaf/yafcore/*.h
#
%dir %_includedir/mpeglib/util/yaf/yafxplayer/
%_includedir/mpeglib/util/yaf/yafxplayer/*.h
#
#
%dir %_includedir/mpeglib_artsplug/
%_includedir/mpeglib_artsplug/*.h
%_includedir/mpeglib_artsplug/*.idl
#
#
%dir %_includedir/noatun/
%_includedir/noatun/*.h



%if %buildfor7_2 || %buildfor8_0 || %buildfor8_1
%files static-devel
%defattr(-,root,root,-)
%_libdir/*.a
%endif



%changelog
* Sun Mar 03 2002 David BAUDENS <baudens@mandrakesoft.com> 2.2.2-10mdk
- Add application/x-ogg in list of supported mime types (noatun)

* Tue Feb 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-9mdk
- Fix Patch4 : fix other crash in kscd

* Mon Feb 25 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-8mdk
- Add patch4 : fix crash in kscd

* Fri Feb 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-7mdk
- Add patch3 : fix kscd crash when pc doesn't have a soundcard

* Thu Feb 21 2002 David BAUDENS <baudens@mandrakesoft.com> 2.2.2-6mdk
- Try to fix noatun bug. Feedback sended on <cooker@linux-mandrake.com> is
  welcome

* Sun Feb 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-5mdk
- Add patch2: fix kmid layout.

* Sun Feb 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-4mdk
- Add patch1 : Fix num validator in CDDB config page

* Sun Jan 13 2002 David BAUDENS <baudens@mandrakesoft.com> 2.2.2-3mdk
- Don't put make -f Makefile.cvs in %%setup
- Fix Group: on all supported distributions
- Fix ./configure on all supported distributions
- Disable debug on all supported distributions
- 8.2: don't build static libraries
- 8.2: disable objprelink

* Fri Dec 07 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-2mdk
- made rpmlint happy

* Sun Nov 11 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-1mdk
- kde-2.2.2

* Wed Sep 26 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2.1-3mdk
- Add support for Mandrake Linux 8.2

* Tue Sep 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.1-2mdk
- Fix menu entry
- Remove ktimidity (doesn't work)
- Add BuildConflicts kdemultimedia (otherwise we can't install kmidi)

* Thu Sep 18 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.1-1mdk
- kde 2.2.1

* Thu Sep 13 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-6mdk
- Rebuild

* Sat Sep 08 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-5mdk
- Update from KDE_2_2_BRANCH

* Fri Aug 31 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-4mdk
- Fix build requires

* Mon Aug 25 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-3mdk
- Fix menu entry

* Tue Aug 16 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-2mdk
- Fix generated menu

* Mon Aug 06 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-1mdk
- kde 2.2 

* Wed Aug 01 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-0.pre1.1mdk 
- kde 2.2 pre1

* Thu Jun 28 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.beta1.1mdk
- KDE 2.2.beta1
- Rewrite %%files sections
- Remove non legal songs

* Wed Jun 06 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.alpha2.4mdk
- Clean ./configure
- Enable debug and don't strip when we are not in final release
- Add missing files

* Sat Jun 02 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-0.alpha2.3mdk
- fix compile from kdeaddons

* Tue May 24 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.alpha2.2mdk
- Re-enable debug (low level)

* Tue May 22 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-0.alpha2.1mdk
- kde2.2 alpha2

* Tue Apr 17 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.1-5mdk
- Add requires (arts)

* Tue Apr 17 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.1-4mdk
- Separate aktion to kdemultimedia.

* Tue Apr 10 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.1-3mdk
- LMDK menu: show Kmix only under KDE
- LMDK menu: show artscontrol only under KDE

* Tue Apr 03 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.1-2mdk
- Move KDE menus in %%_datadir/applnk
- Add noatun in LMDK menu structure
- Rebuild against latest GCC

* Wed Mar 21 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.1-1mdk
- KDE 2.1.1

* Tue Mar 13 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-4mdk
- Rebuild against Qt 2.3.0
- Add BuildRequires
- Re-enable %%make

* Sat Mar 03 2001 Daouda Lo <daouda@mandrakesoft.com> 2.1-3mdk
- noatun real fix

* Fri Mar 02 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-2mdk
- Temporary workaround to allow users to launch noatun

* Fri Feb 23 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-1mdk
- KDE 2.1

* Tue Feb 20 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010220.1mdk
- Update code
- Enable --disable-final

* Wed Jan 10 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.1-0.20010110.1mdk
- Updated code

* Mon Dec 04 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-0.20001204.1mdk
- Updated code

* Sat Nov 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-8mdk
- Updated code

* Fri Nov 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-8.1mdk
- Updated code

* Tue Nov 14 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-8mdk
- Recompile for a Mandrake 7.2 Update

* Fri Nov 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-7mdk
- This version works for gcc 2.96 and includes fixes and updates from 
  KDE cvs for pre 2.1.
- kmid did not compile. This needs put back in.

* Thu Nov 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-6mdk
- Updated code for new fixes from the kde team

* Mon Nov 06 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-5mdk
- Updated code for new fixes from the kde team

* Thu Oct 24 2000 David BAUDENS <baudens@mandrakesoft.com> 2.0-4mdk
- Fix typo in Description

* Thu Oct 24 2000 David BAUDENS <baudens@mandrakesoft.com> 2.0-3mdk
- Move aktion! in Multimedia/Video (Menu)
- Clean spec

* Wed Oct 18 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-2mdk
- Updated code for some showstoppers addressed by kde team

* Tue Oct 17 2000 Daouda Lo <daouda@mandrakesoft.com> 2.0-1mdk
- release 2.0

* Fri Oct 06 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.99-3mdk
- Updated code because of fixes in artsd in kdelibs.

* Wed Oct 04 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.99-2mdk
- Updated code because of build problem with our CXXX flags in kmid

* Mon Oct 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.99-1mdk
- Updated code to release candidate 1

* Mon Oct 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-11mdk
- Updated code

* Fri Sep 29 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-10mdk
- Updated code

* Wed Sep 27 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-9mdk
- Updated code

* Mon Sep 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-8mdk
- Updated code

* Sat Sep 23 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-7mdk
- Updated code

* Wed Sep 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-6mdk
- Updated code

* Mon Sep 18 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-5mdk
- Fix requires typo. SHould not require qt but qt2.

* Mon Sep 18 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-4mdk
- Updated code

* Fri Sep 15 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-3mdk
- Updated code snapshots

* Thu Sep 14 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.94-2mdk
- removed update_menus from %postun section, we need only clean_menus
- removed "/" from kmid menu entry because it makes a submenu where
  not needed
- use _menudir
- use our target cpu instead of letting configure guess [potential
  problems on Pentium processors for example!]

* Mon Sep 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-1mdk
- Updated code snapshots

* Fri Sep 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-8mdk
- Updated code snapshots

* Thu Sep 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-7mdk
- Updated code snapshots

* Wed Aug 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-6mdk
- Updated code snapshots

* Tue Aug 29 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-5mdk
- Solved conflict with timidity

* Mon Aug 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-4mdk
- Updated code snapshots

* Fri Aug 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-3mdk
- Updated code snapshots
- Added menu conversion tool to better handle menu entries

* Mon Aug 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-1mdk
- Updated code snapshots

* Sun Aug 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-15mdk
- Updated code snapshots
- Added menu entries
- Fixed some rpmlint problems

* Wed Aug 16 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-14mdk
- Updated code snapshots

* Mon Aug 14 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-13mdk
- Updated code snapshots

* Thu Aug 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-12mdk
- Updated code snapshots

* Mon Aug 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-7mdk
- Updated code snapshots

* Wed Aug 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-6mdk
- Updated code snapshots

* Tue Aug 01 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-4mdk
- Updated code snapshots

* Sun Jul 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-2mdk
- Updated code snapshots
- noatun and mpeglib_artsplug didn't compile

* Sat Jul 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-1mdk
- Updated code snapshots

* Fri Jul 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-0.20000728mdk
- Updated code snapshots

* Wed Jul 26 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-0.20000726mdk
- Updated code snapshots

* Fri Jul 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-0.20000721mdk
- Updated code snapshots

* Sun Jul 16 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000717mdk
- Updated code snapshot

* Wed Jul 12 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000712mdk
- Updated code snapshot
- Changed package name
- Moved to /usr

* Sat Jul 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000708mdk
- Updated code snapshot

* Fri Jun 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000630mdk
- Updated code snapshot
- Enabled doc compilation.

* Wed Jun 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000621mdk
- Updated code snapshot

* Tue Jun 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000619mdk
- Updated code snapshot
- kmix not included in this package - too broken

* Wed Jun 14 2000 Christopher Molnar <molnarc@mandrakesoft.com>
-  1.91-0.20000614mdk
- Updated code

* Wed May 31 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.90-0.20000531mdk
- Updated code snapshot

* Sun May 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.90-0.20000520mdk
- Updated code snapshot

* Wed May 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.90-0.20000517mdk
- Compiled for Mandrake and updated spec file and beta
- More recent snapshot includes fixes for beta
